Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml2java2
Class QCProperty

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMpeerSupportLite
            |
            +--com.jxml.quick.ocm.OCMrootPeerSupportLite
                  |
                  +--com.jxml.quick.ocm.OCMtemplate
                        |
                        +--com.jxml.quick.util.qjml2java2.QCProperty

All Implemented Interfaces:
  OCMpeer, OCMrootPeer

public class QCProperty
extends OCMtemplate

Controller Class for Properties

See Also:
  More details here.

Field Summary
`String` | `pName` It is property name
`String` | `vt` It is veriable type

Fields inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`context, dataModel, paramMap, parent`

Constructor Summary
`QCProperty()`

Method Summary
`void` | `cvt(Object param)` Method declaration
`String` | `process(String templateName, String arg)` Method declaration

Methods inherited from class com.jxml.quick.ocm.OCMtemplate
`expand, expandString, express, express`

Methods inherited from class com.jxml.quick.ocm.OCMrootPeerSupportLite
`convert, convert, getOutputRoot`

Methods inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`doCvt, doCvt, doCvt, init, peer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMpeer
`init`

Field Detail

### vt

    public String vt

  It is veriable type

### pName

    public String pName

  It is property name

Constructor Detail

### QCProperty

    public QCProperty()

Method Detail

### cvt

    public void cvt(Object param)
             throws SAXException,
                    IOException

  Method declaration
  Overrides:
    `cvt` in class `OCMtemplate`
  Parameters:
    `param` - Name of the parameter
  Returns:
    string The name of the package
  Throws:
    `SAXException` -
    `IOException` -

### process

    public String process(String templateName,
                          String arg)
                   throws SAXException,
                          IOException

  Method declaration
  Overrides:
    `process` in class `OCMtemplate`
  Parameters:
    `templateName` - The name of the Template
    `arg` - The parameter name,ie. method name, property type and property name
  Returns:
    string The string values to be plugged inside the templates
  Throws:
    `SAXException` -
    `IOException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD